# wxAuiToolBarArt Class Reference
[Window Docking (wxAUI)]

`#include <wx/aui/toolbar.h>`

Inheritance diagram for wxAuiToolBarArt:
[legend]

## Detailed Description

wxAuiToolBarArt is part of the wxAUI class framework.

See also wxAuiToolBar and wxAUI Overview.

##

Library: wxAui

Category: Window Docking (wxAUI)

## Public Member Functions
| wxAuiToolBarArt ()
virtual wxAuiToolBarArt * | Clone ()=0
virtual void | SetFlags (unsigned int flags)=0
virtual unsigned int | GetFlags ()=0
virtual void | SetFont (const wxFont &font)=0
virtual wxFont | GetFont ()=0
virtual void | SetTextOrientation (int orientation)=0
virtual int | GetTextOrientation ()=0
virtual void | DrawBackground (wxDC &dc, wxWindow *wnd, const wxRect &rect)=0
virtual void | DrawLabel (wxDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item, const wxRect &rect)=0
virtual void | DrawButton (wxDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item, const wxRect &rect)=0
virtual void | DrawDropDownButton (wxDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item, const wxRect &rect)=0
virtual void | DrawControlLabel (wxDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item, const wxRect &rect)=0
virtual void | DrawSeparator (wxDC &dc, wxWindow *wnd, const wxRect &rect)=0
virtual void | DrawGripper (wxDC &dc, wxWindow *wnd, const wxRect &rect)=0
virtual void | DrawOverflowButton (wxDC &dc, wxWindow *wnd, const wxRect &rect, int state)=0
virtual wxSize | GetLabelSize (wxDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item)=0
virtual wxSize | GetToolSize (wxDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item)=0
virtual int | GetElementSize (int element_id)=0
virtual void | SetElementSize (int element_id, int size)=0
virtual int | ShowDropDown (wxWindow *wnd, const wxAuiToolBarItemArray &items)=0

List of all members.

## Constructor & Destructor Documentation

wxAuiToolBarArt::wxAuiToolBarArt | ( |  | ) |

## Member Function Documentation

virtual wxAuiToolBarArt* wxAuiToolBarArt::Clone | ( |  | ) | `[pure virtual]`

Implemented in wxAuiDefaultToolBarArt.

virtual void wxAuiToolBarArt::DrawBackground | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | rect |
| ) |  |  | `[pure virtual]`

Implemented in wxAuiDefaultToolBarArt.

virtual void wxAuiToolBarArt::DrawButton | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item,
|  | const wxRect & | rect |
| ) |  |  | `[pure virtual]`

Implemented in wxAuiDefaultToolBarArt.

virtual void wxAuiToolBarArt::DrawControlLabel | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item,
|  | const wxRect & | rect |
| ) |  |  | `[pure virtual]`

Implemented in wxAuiDefaultToolBarArt.

virtual void wxAuiToolBarArt::DrawDropDownButton | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item,
|  | const wxRect & | rect |
| ) |  |  | `[pure virtual]`

Implemented in wxAuiDefaultToolBarArt.

virtual void wxAuiToolBarArt::DrawGripper | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | rect |
| ) |  |  | `[pure virtual]`

Implemented in wxAuiDefaultToolBarArt.

virtual void wxAuiToolBarArt::DrawLabel | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item,
|  | const wxRect & | rect |
| ) |  |  | `[pure virtual]`

Implemented in wxAuiDefaultToolBarArt.

virtual void wxAuiToolBarArt::DrawOverflowButton | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | rect,
|  | int | state |
| ) |  |  | `[pure virtual]`

Implemented in wxAuiDefaultToolBarArt.

virtual void wxAuiToolBarArt::DrawSeparator | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | rect |
| ) |  |  | `[pure virtual]`

Implemented in wxAuiDefaultToolBarArt.

virtual int wxAuiToolBarArt::GetElementSize | ( | int | element_id | ) | `[pure virtual]`

Implemented in wxAuiDefaultToolBarArt.

virtual unsigned int wxAuiToolBarArt::GetFlags | ( |  | ) | `[pure virtual]`

Implemented in wxAuiDefaultToolBarArt.

virtual wxFont wxAuiToolBarArt::GetFont | ( |  | ) | `[pure virtual]`

Implemented in wxAuiDefaultToolBarArt.

virtual wxSize wxAuiToolBarArt::GetLabelSize | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item |
| ) |  |  | `[pure virtual]`

Implemented in wxAuiDefaultToolBarArt.

virtual int wxAuiToolBarArt::GetTextOrientation | ( |  | ) | `[pure virtual]`

Implemented in wxAuiDefaultToolBarArt.

virtual wxSize wxAuiToolBarArt::GetToolSize | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item |
| ) |  |  | `[pure virtual]`

Implemented in wxAuiDefaultToolBarArt.

virtual void wxAuiToolBarArt::SetElementSize | ( | int | element_id,
|  | int | size |
| ) |  |  | `[pure virtual]`

Implemented in wxAuiDefaultToolBarArt.

virtual void wxAuiToolBarArt::SetFlags | ( | unsigned int | flags | ) | `[pure virtual]`

Implemented in wxAuiDefaultToolBarArt.

virtual void wxAuiToolBarArt::SetFont | ( | const wxFont & | font | ) | `[pure virtual]`

Implemented in wxAuiDefaultToolBarArt.

virtual void wxAuiToolBarArt::SetTextOrientation | ( | int | orientation | ) | `[pure virtual]`

Implemented in wxAuiDefaultToolBarArt.

virtual int wxAuiToolBarArt::ShowDropDown | ( | wxWindow * | wnd,
|  | const wxAuiToolBarItemArray & | items |
| ) |  |  | `[pure virtual]`

Implemented in wxAuiDefaultToolBarArt.

|  | [ top ]